#!/bin/bash
# Parameter expansions
# It's better to use them instead of echo, cat, cut, grep, sed, tr, ...
# of course only for parameters

# VAR will be the first parameter or default value
# It's better to provide something with dashes :)
# This will WORK with special characters like *$(){}...

VAR=${1:-"something-with-dashes"}

printf "___\nI want to substitute dashes with spaces\n"
printf "%s\n" "${VAR//-/ }"

printf "___\nI want to print only the last part (dashes)\n"
printf "%s\n" "${VAR##*-}"

printf "___\nI want to insert "text-" after first dash and add suffix .txt\n"
# The result: something-text-with-dashes.txt
printf "%s\n" "${VAR/-/-text-}.txt"

printf "___\nThe same as above, but the last dash\n"
# The result: something-with-text-dashes.txt
printf "%s\n" "${VAR%-*}-text-${VAR##*-}.txt"
